Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
PostProcessorDialog Class Reference
Inheritance diagram for PostProcessorDialog:

## Public Slots
void | refresh ()
| refreshes the content of the dialog with current examiner

## Signals
void | updateExaminer (unsigned _viewer)
| request an update for an specified viewer

## Public Member Functions
| PostProcessorDialog (QWidget *_parent=0)

## Static Public Member Functions
static QStringList | getSavedPostProcessorNames (const unsigned _examiner)
| return the names of all saved post processors
static void | loadSavedPostProcessors (const unsigned _examiner)
| append all saved post processors

## Protected Member Functions
void | closeEvent (QCloseEvent *_event)
void | showEvent (QShowEvent *)

## Private Slots
void | slotContextMenuActivate (const QPoint &_point)
| Show the custom context menu for activation.
void | slotContextMenuDeactivate (const QPoint &_point)
| Show the custom context menu for deactivation.
void | slotActivatePostProcessor ()
| Activates the post processor (triggered via the context menu)
void | slotDeactivatePostProcessor ()
| Deactivates the current postProcessor.
void | slotMovePostProcessor (unsigned _from, unsigned _to)
| Move the position/ordering of postprocessor in the postprocessor.
void | slotMoveUp ()
| move the selected active postprocessor 1 up
void | slotMoveDown ()
| move the selected active postprocessor 1 down
void | slotSaveActive ()
| saves active post processor chain

## Private Member Functions
void | initWindow ()
| initiaize the window with the post processors of the current examiner
QFrame * | createFrame (const PostProcessorInfo &_pPI)

## Private Attributes
unsigned | currentExaminer_
| holds the examiner id for the window
std::vector< unsigned > | activeRowToRow_
| maps activeRow from activeList (same as chainIdx from RendererInfo) to row from list (same as activeId from RendererInfo) for each viewer

## Detailed Description

Definition at line 61 of file postProcessorWidget.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/postProcessorWidget/postProcessorWidget.hh
- OpenFlipper/widgets/postProcessorWidget/postProcessorWidget.cc